SquirrelMail  
Donations
News
About
Support
Screen shots
Download
Plugins
Documentation
Sponsors
Bounties













Security Notice
Phishing campain
Version 1.4.15
Security Upgrade
Plugins - HTML Mail
Category: Compose

This plugin allows users to compose messages in rich text (HTML) format. Most modern browsers are supported, and several different text editor libraries are included (administrator and/or users can choose which editor to use).


This plugin was sponsored in part by the good folks at Junk Email Filter as part of our Purchase a Bounty Program.


Version 2.3
by Paul Lesniewski on Oct 16, 2005
Please support this plugin's development: Donate to this author
[ html_mail-2.3-1.4.tar.gz tarball (56065 d/l) Help ]
Requires: SquirrelMail 1.4 or greater, IE 5.5+ or newer (20030624) Gecko-compatible browser

Description:
  • Added default editor_height for older SquirrelMail versions without that setting in the user preferences.
  • Fixed additional newlines being added to message body when signature added, attachment added, etc.
  • PHP 5 fix (Thanks to Tomas)
  • Updated FCKeditor editor to version 2.1
  • Default to sample config file if not otherwise configured

Older versions

Version 2.2
by Paul Lesniewski on Jun 15, 2005
[ html_mail-2.2-1.4.tar.gz tarball (9539 d/l) Help ]
Requires: SquirrelMail 1.4

Description:
  • Configuration file has changed again, please take note!
  • Turn off all functionality if JavaScript is not available
  • User can now change to HTML format reply directly from compose screen even when Display Preference composition type is set to Plain Text
  • Fixed FCKeditor height and width to obey SquirrelMail editor settings
  • Moved prefs item into the compose preferences page in SM 1.5.1+
  • Implemented reconstruction of HTML of the original mail when replying
  • Emoticons and other links are now sent out in emails with absolute (not relative) URIs
  • User may now choose editor type (if admin allows)
  • Fixed problems on some systems where editor wasn't showing up
  • Replaced *nix/Windows configuration item with ASpell path configuration instead
  • FCKeditor is version 2.0FC
  • HTMLArea is cvs from 2005/03/15
  • Compatibility plugin no longer required


Version 2.1
by Paul Lesniewski on Mar 16, 2005
[ html_mail-2.1-1.4.tar.gz tarball (5764 d/l) Help ]
Requires: SquirrelMail 1.4, Compatibility plugin

Description:
  • Configuration file has changed, please take note!
  • Added FCKeditor as a (better) alternative to HTMLArea
  • Fixed help URL
  • On-the-fly email format conversion is available via radio buttons on the compose page (when the default type is HTML as specified in the Display Preferences).
  • Messages are now sent as correctly formatted multipart mime (text/html)
  • Fix: when replying/forwarding, original messages with special characters were getting interpreted incorrectly.
  • Fix: poor performance (including lockups) when replying or forwarding messages due to slow JavaScript
  • Works with newest release (v1.1) of Templates plugin
  • Check that this plugin comes after other plugins that change message content such as email_footer and taglines
  • Internationalization fixes
  • Added emoticons patches for SM 1.4.3 and 1.4.4
  • Synched with HTMLArea CVS repository 2005/03/15


Version 2.0
by Paul Lesniewski on Sep 21, 2003
[ html_mail-2.0-1.4.tar.gz tarball (18797 d/l) Help ]
Requires: SquirrelMail 1.4, Compatibility plugin

Description:
  • Newer Gecko browsers (e.g., Mozilla 1.4) now supported
  • When replying, adding signatures, etc., lines don't get concatenated all into one
  • Added emoticons functionality (optional) added (credit to Pablo Macouzet Jr. [squirrelmail at kingnothing.com] for writing the original Emoticons plugin)
  • Disable SquirrelSpell plugin when user is composing emails in HTML format, since the two plugins are not compatible
  • Integrated spell checking mechanism is now available
  • Custom style configuration is available (you can turn down the initial font size, etc)
  • Updated for compatibility with email_footer plugin
  • Updated for compatibility with quicksave plugin (quirky)
  • When sending attachments, HTML format is retained
  • Updated HTML renderer
  • Added configuration file


Version 1.0
by Paul Lesniewski on Aug 7, 2003
[ html_mail-1.0-1.4.tar.gz tarball (4605 d/l) Help ]
Requires: SquirrelMail 1.4, Compatibility plugin

Description: Chris Franklin [cfranklin at nomadcf.com] gets lots of credit for writing the Enhanced Textarea plugin, upon which this plugin was based. This plugin is a re-write aimed at removing the fairly consistent errors in Enhanced Textarea, but the two plugins still share a lot.

Improvements over the "Enhanced Textarea" plugin:
  • updated text area renderer
  • fixed all those darn bugs
  • as of SM 1.4.2, no source patch is required
  • for SM versions before 1.4.2, a patch file is included (no more full file replacement)
  • sends HTML email in correct format
  • no longer clashes with File Manager plugin
  • internationalized output
  • full compatibility with SM version reporting APIs
Note: If you are moving from the Enhanced Textarea plugin to HTML Mail, user preferences are backward-compatible, but nothing else is. That is, please revert to your original src/compose.php, uninstall Enhanced Textarea and start with a clean slate.

If you have problems with the download or decompressing...
Internet Explorer
Right-click on the file, then select "Save Target As"
Firefox, Mozilla, Netscape
Right-click on the file, then select "Save Link As"
Opera
Right-click on the file, then select "Save Link Document As"
Lynx and Links
Press "d" on the link to download the file directly.
  • Untarring problems: Your browser might have un-gzipped it for you automatically. Try just "tar xvf" instead of "tar xvfz". Also, the plugins archive isn't gzipped (it is a tarball of .tar.gz files)
  • Macintosh users: Just hold down your mouse button to get the menu instead of right-clicking.
  • If all else fails, seek our help
© 1999-2010 by The SquirrelMail Project Team